init_component: slightly more robust read (raw input, succeed on non-terminated last line);
authorwenzelm
Sun, 08 Nov 2009 13:44:16 +0100
changeset 33512 771ec7306438
parent 33511 5b31218a3a8c
child 33513 b2259183e282
child 33525 05c384cb1181
init_component: slightly more robust read (raw input, succeed on non-terminated last line);
lib/scripts/getsettings
--- a/lib/scripts/getsettings	Sat Nov 07 18:55:50 2009 +0000
+++ b/lib/scripts/getsettings	Sun Nov 08 13:44:16 2009 +0100
@@ -98,7 +98,8 @@
   fi
   if [ -f "$COMPONENT/etc/components" ]; then
     {
-      while read; do
+      while { unset REPLY; read -r; test "$?" = 0 -o -n "$REPLY"; }
+      do
         case "$REPLY" in
           \#* | "") ;;
           /*) init_component "$REPLY" ;;